1. Outbound IVR API
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Contact Properties Statistics
      POST
    • Create Contact Property
      POST
    • Update Contact Property
      PUT
    • Delete Contact Property
      DELETE
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Outbound IVR API
    • Create Outbound IVR
      POST
  • Tags API
    • Tag a conversation
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Conversations - Service Account
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ServiceAccountTemplateDto
    • ConversationDto
    • CreateTagDto
    • ServiceAccountTemplateParameterDto
    • ChannelConversationDto
    • UpdateTagDto
    • TemplateParameterDto
    • TagDto
    • ParameterValueDto
    • ConversationTimelineDto
    • PagedResultOfTagDto
    • ChannelNotFoundError
    • AiSummaryDto
    • ReplyInfoDto
    • InternalThreadDto
    • LocationMessageDto
    • AssignationInfoDto
    • PagedResultOfConversationDto
    • PagedResultOfConversationTimelineDto
  1. Outbound IVR API

Create Outbound IVR

POST
/v1/outbound-ivr
Starts an Outbound IVR call and plays an audio file or uses Text-to-Speech (TTS).
Fires a webhook request to webhookUrl after the call terminates.
AudioFileUrl Accept .wav directory, feel free to contact support for audio generation from text

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🔴500Internal Server Error
application/json
Bodyapplication/json

🟢200Success
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/outbound-ivr' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "ChannelId": "3a197b6e-xxxx-xxxx-xxxx-5c2bc394dccd",
    "ExternalId": "myUniqueId",
    "DestinationNumber": "9665xxxxxxxx",
    "AudioFileUrl": null,
    "WelcomeMessageFileUrl": null,
    "SuccessMessageFileUrl": null,
    "FailedMessageFileUrl": null,
    "Options": [
        {
            "Digit": "1",
            "Description": "Confirm",
            "ResponseMessageFileUrl": null
        },
        {
            "Digit": "3",
            "Description": "Cancel"
        }
    ],
    "WebhookUrl": "https://webhook.site/2512f5b3-f389-4338-89dd-c9903bb5120a",
    "MaxAudioRetries": 3,
    "InputTimeoutMs": 6000,
    "DigitTimeoutMs": 3000
}'
Response Response Example
500 - Example 1
{
    "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxx",
    "workspaceId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxx",
    "channelId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxx",
    "externalId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxx",
    "destinationNumber": "+9665xxxxxxx",
    "audioFileUrl": "https://xxxxxx.wav",
    "ttsText": "Dear Customer, to confirm your appointment please press 1, to cancel please press 2.",
    "ttsVoice": 1,
    "audioType": 2,
    "options": [
        {
            "digit": "1",
            "description": "Confirm"
        },
        {
            "digit": "2",
            "description": "Cancel"
        }
    ],
    "webhookUrl": "https://xxxxxxx",
    "maxAudioRetries": 3,
    "inputTimeoutMs": 6000,
    "digitTimeoutMs": 3000,
    "status": 0,
    "result": 0,
    "pressedDigit": null,
    "initiatedAt": null,
    "ringingAt": null,
    "answeredAt": null,
    "completedAt": null,
    "callId": null,
    "errorMessage": null,
    "hangupCause": null,
    "creationTime": "2025-11-13T04:16:49.646512+03:00"
}
Modified at 2026-08-03 11:55:12
Previous
Get Conversation
Next
Tag a conversation
Built with